# @summary Default parameters
#
# This class provides the appropriate values for operating system specific variables.
#
# @param mailx_package
#   Name of package that provides mailx
#
# @param restart_cmd
#   Command to use when restarting postfix
#
# @param aliasesseltype
#   Selinux type for /etc/aliases
#
# @param seltype
#   Selinux type for /etc/postfix/* config files
#
# @param master_os_template
#   Path to the master template
#
# @api private
#
class postfix::params (
  String $mailx_package            = 'bsd-mailx',
  String $restart_cmd              = '/etc/init.d/postfix restart',
  String $master_os_template       = 'postfix/master.cf.debian.erb',
  Optional[String] $aliasesseltype = undef,
  Optional[String] $seltype        ='etc_t',
) {
}
